Subject: bug#61667: 29.0.60; Failure to redisplay

From: Dmitry Gutov <[email-masked]>
Date: Fri, 24 Feb 2023 18:15:43 +0200

On 24/02/2023 17:51, Eli Zaretskii wrote:
>> I just said that unchanging title doesn't stop me from seeing the delay
>> when there is, in fact, a delay.
> So, now, when does the delay happen?  I previously thought it happens
> when the frame's title changes, but now you are saying it (and the
> commit you mentioned) is unrelated, right?  Then what_is_  related?
> Just the display-related activity in windows around Emacs?

I press 'a' (which calls find-file) and see the delay between the 
keypress and the buffer being displayed.

When the title format is a constant, the aforementioned delay is always 
instant/imperceptible. When the title format depends on the file name, 
the delay can be quite noticeable (randomly).